com.amazonaws.codegen.customization.processors

## Class RemoveExceptionMessagePropertyProcessor

- java.lang.Object
- - com.amazonaws.codegen.customization.processors.RemoveExceptionMessagePropertyProcessor

All Implemented Interfaces:
  CodegenCustomizationProcessor

    public class RemoveExceptionMessagePropertyProcessor
    extends Object
    implements CodegenCustomizationProcessor

This processor removes the member *message* in the exception shapes from the intermediate model. Every exception class generated extends AmazonServiceException and the *message* member is inherited from that class.

### Constructor Summary

Constructors
Constructor and Description
`RemoveExceptionMessagePropertyProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `postprocess(IntermediateModel intermediateModel)` Apply the customization after the intermediate model is built
`void` `preprocess(ServiceModel serviceModel)` Apply the customization by directly modifying the service model, before the intermediate model is built.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoveExceptionMessagePropertyProcessor

    public RemoveExceptionMessagePropertyProcessor()

### Method Detail

#### preprocess

    public void preprocess(ServiceModel serviceModel)

Description copied from interface: `CodegenCustomizationProcessor`
Apply the customization by directly modifying the service model, before the intermediate model is built.

Specified by:
  `preprocess` in interface `CodegenCustomizationProcessor`

#### postprocess

    public void postprocess(IntermediateModel intermediateModel)

Description copied from interface: `CodegenCustomizationProcessor`
Apply the customization after the intermediate model is built

Specified by:
  `postprocess` in interface `CodegenCustomizationProcessor`